#ifndef RAWRUNTAIL_H
#define RAWRUNTAIL_H

#include "DAQDataFormats/RawRunHeader.h"

namespace daqdataformats {

    class RawRunTail: public RawRunHeader{
        public:

            /// Constructors
            RawRunTail (const version_t version = rawrunhdr::RAWRUNHEADER_LATEST_VERSION);                             //! The default constructor
            RawRunTail (const RawRunTail& copy_in);  //! Deep copy constructor
            RawRunTail (const void* dadablockheader_buffer, const version_t version = rawdaqdataformat::DAQDATAFORMAT_UNKNOWN_VERSION); //! Shallow copy constructor
            /// Destructor
            ~RawRunTail();

            void init();
    };


} // END NAMESPACE daqdataformats
#endif /* RAWRUNTAIL_H */
