#ifndef DDTMESSAGESSPLTYPES_H
#define DDTMESSAGESSPLTYPES_H

#include "DAQMessages/ccpp_DDTMessages.h"

#include <c_base.h>
#include <c_misc.h>
#include <c_sync.h>
#include <c_collection.h>
#include <c_field.h>

#include "rms/RmsMessageCoreSplDcps.h"

extern c_metaObject __DDTMessages_ddtmessages__load (c_base base);

extern c_metaObject __ddtmessages_DDTTriggerMessage__load (c_base base);
extern char * __ddtmessages_DDTTriggerMessage__keys (void);
extern char * __ddtmessages_DDTTriggerMessage__name (void);
struct _ddtmessages_DDTTriggerMessage ;
extern  c_bool __ddtmessages_DDTTriggerMessage__copyIn(c_base base, struct ddtmessages::DDTTriggerMessage *from, struct _ddtmessages_DDTTriggerMessage *to);
extern  void __ddtmessages_DDTTriggerMessage__copyOut(void *_from, void *_to);
struct _ddtmessages_DDTTriggerMessage {
    struct _rmscore_RmsMessageHeader header;
    c_long trigger_type;
    c_ulong prescale;
    c_longlong decision_time;
    c_long time_to_decision;
    c_longlong start_time;
    c_long duration;
    c_short detector_id;
    c_short buffer_node_id;
    c_long process_id;
    c_bool enabled;
};

#endif
