#ifndef RUNCONTROLMESSAGESSPLTYPES_H
#define RUNCONTROLMESSAGESSPLTYPES_H

#include "DAQMessages/ccpp_RunControlMessages.h"

#include <c_base.h>
#include <c_misc.h>
#include <c_sync.h>
#include <c_collection.h>
#include <c_field.h>

#include "rms/RmsMessageCoreSplDcps.h"

extern c_metaObject __RunControlMessages_runcontrolmessages__load (c_base base);

extern c_metaObject __runcontrolmessages_Resource__load (c_base base);
extern char * __runcontrolmessages_Resource__keys (void);
extern char * __runcontrolmessages_Resource__name (void);
struct _runcontrolmessages_Resource ;
extern  c_bool __runcontrolmessages_Resource__copyIn(c_base base, struct runcontrolmessages::Resource *from, struct _runcontrolmessages_Resource *to);
extern  void __runcontrolmessages_Resource__copyOut(void *_from, void *_to);
struct _runcontrolmessages_Resource {
    c_string rtype;
    c_string id;
    c_short partid;
    c_bool isReservable;
    c_bool isEnabled;
    c_bool isDetached;
    c_long rmsTimeout;
    c_long rcState;
    c_bool passThru;
};

extern c_metaObject __runcontrolmessages_StartProcessesRequest__load (c_base base);
extern char * __runcontrolmessages_StartProcessesRequest__keys (void);
extern char * __runcontrolmessages_StartProcessesRequest__name (void);
struct _runcontrolmessages_StartProcessesRequest ;
extern  c_bool __runcontrolmessages_StartProcessesRequest__copyIn(c_base base, struct runcontrolmessages::StartProcessesRequest *from, struct _runcontrolmessages_StartProcessesRequest *to);
extern  void __runcontrolmessages_StartProcessesRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_StartProcessesRequest {
    struct _rmscore_RmsMessageHeader header;
    c_string partitionDetails;
};

extern c_metaObject __runcontrolmessages_StartProcessesResponse__load (c_base base);
extern char * __runcontrolmessages_StartProcessesResponse__keys (void);
extern char * __runcontrolmessages_StartProcessesResponse__name (void);
struct _runcontrolmessages_StartProcessesResponse ;
extern  c_bool __runcontrolmessages_StartProcessesResponse__copyIn(c_base base, struct runcontrolmessages::StartProcessesResponse *from, struct _runcontrolmessages_StartProcessesResponse *to);
extern  void __runcontrolmessages_StartProcessesResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_StartProcessesResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
};

extern c_metaObject __runcontrolmessages_StopProcessesRequest__load (c_base base);
extern char * __runcontrolmessages_StopProcessesRequest__keys (void);
extern char * __runcontrolmessages_StopProcessesRequest__name (void);
struct _runcontrolmessages_StopProcessesRequest ;
extern  c_bool __runcontrolmessages_StopProcessesRequest__copyIn(c_base base, struct runcontrolmessages::StopProcessesRequest *from, struct _runcontrolmessages_StopProcessesRequest *to);
extern  void __runcontrolmessages_StopProcessesRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_StopProcessesRequest {
    struct _rmscore_RmsMessageHeader header;
};

extern c_metaObject __runcontrolmessages_StopProcessesResponse__load (c_base base);
extern char * __runcontrolmessages_StopProcessesResponse__keys (void);
extern char * __runcontrolmessages_StopProcessesResponse__name (void);
struct _runcontrolmessages_StopProcessesResponse ;
extern  c_bool __runcontrolmessages_StopProcessesResponse__copyIn(c_base base, struct runcontrolmessages::StopProcessesResponse *from, struct _runcontrolmessages_StopProcessesResponse *to);
extern  void __runcontrolmessages_StopProcessesResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_StopProcessesResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
};

extern c_metaObject __runcontrolmessages_VersionInfoRequest__load (c_base base);
extern char * __runcontrolmessages_VersionInfoRequest__keys (void);
extern char * __runcontrolmessages_VersionInfoRequest__name (void);
struct _runcontrolmessages_VersionInfoRequest ;
extern  c_bool __runcontrolmessages_VersionInfoRequest__copyIn(c_base base, struct runcontrolmessages::VersionInfoRequest *from, struct _runcontrolmessages_VersionInfoRequest *to);
extern  void __runcontrolmessages_VersionInfoRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_VersionInfoRequest {
    struct _rmscore_RmsMessageHeader header;
};

extern c_metaObject __runcontrolmessages_VersionInfoResponse__load (c_base base);
extern char * __runcontrolmessages_VersionInfoResponse__keys (void);
extern char * __runcontrolmessages_VersionInfoResponse__name (void);
struct _runcontrolmessages_VersionInfoResponse ;
extern  c_bool __runcontrolmessages_VersionInfoResponse__copyIn(c_base base, struct runcontrolmessages::VersionInfoResponse *from, struct _runcontrolmessages_VersionInfoResponse *to);
extern  void __runcontrolmessages_VersionInfoResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_VersionInfoResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
    c_string versionInfo;
};

extern c_metaObject __runcontrolmessages_AppInfo__load (c_base base);
extern char * __runcontrolmessages_AppInfo__keys (void);
extern char * __runcontrolmessages_AppInfo__name (void);
struct _runcontrolmessages_AppInfo ;
extern  c_bool __runcontrolmessages_AppInfo__copyIn(c_base base, struct runcontrolmessages::AppInfo *from, struct _runcontrolmessages_AppInfo *to);
extern  void __runcontrolmessages_AppInfo__copyOut(void *_from, void *_to);
struct _runcontrolmessages_AppInfo {
    c_string appName;
    c_string appHost;
    c_long appPort;
};

extern c_metaObject __runcontrolmessages_NamedConfigurationList__load (c_base base);
extern char * __runcontrolmessages_NamedConfigurationList__keys (void);
extern char * __runcontrolmessages_NamedConfigurationList__name (void);
struct _runcontrolmessages_NamedConfigurationList ;
extern  c_bool __runcontrolmessages_NamedConfigurationList__copyIn(c_base base, struct runcontrolmessages::NamedConfigurationList *from, struct _runcontrolmessages_NamedConfigurationList *to);
extern  void __runcontrolmessages_NamedConfigurationList__copyOut(void *_from, void *_to);
struct _runcontrolmessages_NamedConfigurationList {
    c_string subsystemName;
    c_string configurationType;
    c_sequence nameList;
};

extern c_metaObject __runcontrolmessages_GlobalNameSpec__load (c_base base);
extern char * __runcontrolmessages_GlobalNameSpec__keys (void);
extern char * __runcontrolmessages_GlobalNameSpec__name (void);
struct _runcontrolmessages_GlobalNameSpec ;
extern  c_bool __runcontrolmessages_GlobalNameSpec__copyIn(c_base base, struct runcontrolmessages::GlobalNameSpec *from, struct _runcontrolmessages_GlobalNameSpec *to);
extern  void __runcontrolmessages_GlobalNameSpec__copyOut(void *_from, void *_to);
struct _runcontrolmessages_GlobalNameSpec {
    c_string globalCfgName;
    c_string detName;
    c_string dcmOpMode;
    c_string timeStamp;
};

extern c_metaObject __runcontrolmessages_FetchLatestNamedGlobalConfigRequest__load (c_base base);
extern char * __runcontrolmessages_FetchLatestNamedGlobalConfigRequest__keys (void);
extern char * __runcontrolmessages_FetchLatestNamedGlobalConfigRequest__name (void);
struct _runcontrolmessages_FetchLatestNamedGlobalConfigRequest ;
extern  c_bool __runcontrolmessages_FetchLatestNamedGlobalConfigRequest__copyIn(c_base base, struct runcontrolmessages::FetchLatestNamedGlobalConfigRequest *from, struct _runcontrolmessages_FetchLatestNamedGlobalConfigRequest *to);
extern  void __runcontrolmessages_FetchLatestNamedGlobalConfigRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_FetchLatestNamedGlobalConfigRequest {
    struct _rmscore_RmsMessageHeader header;
    c_string detectorName;
};

extern c_metaObject __runcontrolmessages_FetchLatestNamedGlobalConfigResponse__load (c_base base);
extern char * __runcontrolmessages_FetchLatestNamedGlobalConfigResponse__keys (void);
extern char * __runcontrolmessages_FetchLatestNamedGlobalConfigResponse__name (void);
struct _runcontrolmessages_FetchLatestNamedGlobalConfigResponse ;
extern  c_bool __runcontrolmessages_FetchLatestNamedGlobalConfigResponse__copyIn(c_base base, struct runcontrolmessages::FetchLatestNamedGlobalConfigResponse *from, struct _runcontrolmessages_FetchLatestNamedGlobalConfigResponse *to);
extern  void __runcontrolmessages_FetchLatestNamedGlobalConfigResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_FetchLatestNamedGlobalConfigResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
    struct _runcontrolmessages_GlobalNameSpec globalNameSpec;
};

extern c_metaObject __runcontrolmessages_FetchNamedGlobalConfigRequest__load (c_base base);
extern char * __runcontrolmessages_FetchNamedGlobalConfigRequest__keys (void);
extern char * __runcontrolmessages_FetchNamedGlobalConfigRequest__name (void);
struct _runcontrolmessages_FetchNamedGlobalConfigRequest ;
extern  c_bool __runcontrolmessages_FetchNamedGlobalConfigRequest__copyIn(c_base base, struct runcontrolmessages::FetchNamedGlobalConfigRequest *from, struct _runcontrolmessages_FetchNamedGlobalConfigRequest *to);
extern  void __runcontrolmessages_FetchNamedGlobalConfigRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_FetchNamedGlobalConfigRequest {
    struct _rmscore_RmsMessageHeader header;
    c_string detectorName;
    c_long requestCount;
    c_long requestOffset;
};

extern c_metaObject __runcontrolmessages_FetchNamedGlobalConfigResponse__load (c_base base);
extern char * __runcontrolmessages_FetchNamedGlobalConfigResponse__keys (void);
extern char * __runcontrolmessages_FetchNamedGlobalConfigResponse__name (void);
struct _runcontrolmessages_FetchNamedGlobalConfigResponse ;
extern  c_bool __runcontrolmessages_FetchNamedGlobalConfigResponse__copyIn(c_base base, struct runcontrolmessages::FetchNamedGlobalConfigResponse *from, struct _runcontrolmessages_FetchNamedGlobalConfigResponse *to);
extern  void __runcontrolmessages_FetchNamedGlobalConfigResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_FetchNamedGlobalConfigResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
    c_sequence globalNameSpecList;
};

extern c_metaObject __runcontrolmessages_FetchNamedConfigurationsRequest__load (c_base base);
extern char * __runcontrolmessages_FetchNamedConfigurationsRequest__keys (void);
extern char * __runcontrolmessages_FetchNamedConfigurationsRequest__name (void);
struct _runcontrolmessages_FetchNamedConfigurationsRequest ;
extern  c_bool __runcontrolmessages_FetchNamedConfigurationsRequest__copyIn(c_base base, struct runcontrolmessages::FetchNamedConfigurationsRequest *from, struct _runcontrolmessages_FetchNamedConfigurationsRequest *to);
extern  void __runcontrolmessages_FetchNamedConfigurationsRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_FetchNamedConfigurationsRequest {
    struct _rmscore_RmsMessageHeader header;
    c_string subsystemName;
    c_string configurationType;
};

extern c_metaObject __runcontrolmessages_FetchNamedConfigurationsResponse__load (c_base base);
extern char * __runcontrolmessages_FetchNamedConfigurationsResponse__keys (void);
extern char * __runcontrolmessages_FetchNamedConfigurationsResponse__name (void);
struct _runcontrolmessages_FetchNamedConfigurationsResponse ;
extern  c_bool __runcontrolmessages_FetchNamedConfigurationsResponse__copyIn(c_base base, struct runcontrolmessages::FetchNamedConfigurationsResponse *from, struct _runcontrolmessages_FetchNamedConfigurationsResponse *to);
extern  void __runcontrolmessages_FetchNamedConfigurationsResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_FetchNamedConfigurationsResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
    c_sequence namedConfigList;
};

extern c_metaObject __runcontrolmessages_SetParticipantsRequest__load (c_base base);
extern char * __runcontrolmessages_SetParticipantsRequest__keys (void);
extern char * __runcontrolmessages_SetParticipantsRequest__name (void);
struct _runcontrolmessages_SetParticipantsRequest ;
extern  c_bool __runcontrolmessages_SetParticipantsRequest__copyIn(c_base base, struct runcontrolmessages::SetParticipantsRequest *from, struct _runcontrolmessages_SetParticipantsRequest *to);
extern  void __runcontrolmessages_SetParticipantsRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_SetParticipantsRequest {
    struct _rmscore_RmsMessageHeader header;
    c_string partitionDetails;
    c_sequence dcmList;
    c_sequence bnevbList;
    c_sequence mgrList;
};

extern c_metaObject __runcontrolmessages_SetParticipantsResponse__load (c_base base);
extern char * __runcontrolmessages_SetParticipantsResponse__keys (void);
extern char * __runcontrolmessages_SetParticipantsResponse__name (void);
struct _runcontrolmessages_SetParticipantsResponse ;
extern  c_bool __runcontrolmessages_SetParticipantsResponse__copyIn(c_base base, struct runcontrolmessages::SetParticipantsResponse *from, struct _runcontrolmessages_SetParticipantsResponse *to);
extern  void __runcontrolmessages_SetParticipantsResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_SetParticipantsResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
};

extern c_metaObject __runcontrolmessages_applicationConfigSpec__load (c_base base);
extern char * __runcontrolmessages_applicationConfigSpec__keys (void);
extern char * __runcontrolmessages_applicationConfigSpec__name (void);
struct _runcontrolmessages_applicationConfigSpec ;
extern  c_bool __runcontrolmessages_applicationConfigSpec__copyIn(c_base base, struct runcontrolmessages::applicationConfigSpec *from, struct _runcontrolmessages_applicationConfigSpec *to);
extern  void __runcontrolmessages_applicationConfigSpec__copyOut(void *_from, void *_to);
struct _runcontrolmessages_applicationConfigSpec {
    struct _rmscore_RequestStatus status;
    c_string appName;
    c_string url;
};

extern c_metaObject __runcontrolmessages_PrepareAllRequest__load (c_base base);
extern char * __runcontrolmessages_PrepareAllRequest__keys (void);
extern char * __runcontrolmessages_PrepareAllRequest__name (void);
struct _runcontrolmessages_PrepareAllRequest ;
extern  c_bool __runcontrolmessages_PrepareAllRequest__copyIn(c_base base, struct runcontrolmessages::PrepareAllRequest *from, struct _runcontrolmessages_PrepareAllRequest *to);
extern  void __runcontrolmessages_PrepareAllRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_PrepareAllRequest {
    struct _rmscore_RmsMessageHeader header;
    c_sequence dcmList;
    c_sequence bnevbList;
    c_short simMode;
    struct _runcontrolmessages_GlobalNameSpec globalCfg;
    c_string partitionDetails;
};

extern c_metaObject __runcontrolmessages_PrepareAllResponse__load (c_base base);
extern char * __runcontrolmessages_PrepareAllResponse__keys (void);
extern char * __runcontrolmessages_PrepareAllResponse__name (void);
struct _runcontrolmessages_PrepareAllResponse ;
extern  c_bool __runcontrolmessages_PrepareAllResponse__copyIn(c_base base, struct runcontrolmessages::PrepareAllResponse *from, struct _runcontrolmessages_PrepareAllResponse *to);
extern  void __runcontrolmessages_PrepareAllResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_PrepareAllResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
    c_sequence configConnList;
    c_sequence configHWList;
    c_sequence configRunList;
};

extern c_metaObject __runcontrolmessages_LoadConnectionsConfigurationRequest__load (c_base base);
extern char * __runcontrolmessages_LoadConnectionsConfigurationRequest__keys (void);
extern char * __runcontrolmessages_LoadConnectionsConfigurationRequest__name (void);
struct _runcontrolmessages_LoadConnectionsConfigurationRequest ;
extern  c_bool __runcontrolmessages_LoadConnectionsConfigurationRequest__copyIn(c_base base, struct runcontrolmessages::LoadConnectionsConfigurationRequest *from, struct _runcontrolmessages_LoadConnectionsConfigurationRequest *to);
extern  void __runcontrolmessages_LoadConnectionsConfigurationRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_LoadConnectionsConfigurationRequest {
    struct _rmscore_RmsMessageHeader header;
    c_string configurationDataURL;
};

extern c_metaObject __runcontrolmessages_LoadConnectionsConfigurationResponse__load (c_base base);
extern char * __runcontrolmessages_LoadConnectionsConfigurationResponse__keys (void);
extern char * __runcontrolmessages_LoadConnectionsConfigurationResponse__name (void);
struct _runcontrolmessages_LoadConnectionsConfigurationResponse ;
extern  c_bool __runcontrolmessages_LoadConnectionsConfigurationResponse__copyIn(c_base base, struct runcontrolmessages::LoadConnectionsConfigurationResponse *from, struct _runcontrolmessages_LoadConnectionsConfigurationResponse *to);
extern  void __runcontrolmessages_LoadConnectionsConfigurationResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_LoadConnectionsConfigurationResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
};

extern c_metaObject __runcontrolmessages_MakeConnectionsRequest__load (c_base base);
extern char * __runcontrolmessages_MakeConnectionsRequest__keys (void);
extern char * __runcontrolmessages_MakeConnectionsRequest__name (void);
struct _runcontrolmessages_MakeConnectionsRequest ;
extern  c_bool __runcontrolmessages_MakeConnectionsRequest__copyIn(c_base base, struct runcontrolmessages::MakeConnectionsRequest *from, struct _runcontrolmessages_MakeConnectionsRequest *to);
extern  void __runcontrolmessages_MakeConnectionsRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_MakeConnectionsRequest {
    struct _rmscore_RmsMessageHeader header;
};

extern c_metaObject __runcontrolmessages_MakeConnectionsResponse__load (c_base base);
extern char * __runcontrolmessages_MakeConnectionsResponse__keys (void);
extern char * __runcontrolmessages_MakeConnectionsResponse__name (void);
struct _runcontrolmessages_MakeConnectionsResponse ;
extern  c_bool __runcontrolmessages_MakeConnectionsResponse__copyIn(c_base base, struct runcontrolmessages::MakeConnectionsResponse *from, struct _runcontrolmessages_MakeConnectionsResponse *to);
extern  void __runcontrolmessages_MakeConnectionsResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_MakeConnectionsResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
};

extern c_metaObject __runcontrolmessages_LoadHardwareConfigurationRequest__load (c_base base);
extern char * __runcontrolmessages_LoadHardwareConfigurationRequest__keys (void);
extern char * __runcontrolmessages_LoadHardwareConfigurationRequest__name (void);
struct _runcontrolmessages_LoadHardwareConfigurationRequest ;
extern  c_bool __runcontrolmessages_LoadHardwareConfigurationRequest__copyIn(c_base base, struct runcontrolmessages::LoadHardwareConfigurationRequest *from, struct _runcontrolmessages_LoadHardwareConfigurationRequest *to);
extern  void __runcontrolmessages_LoadHardwareConfigurationRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_LoadHardwareConfigurationRequest {
    struct _rmscore_RmsMessageHeader header;
    c_string configurationDataURL;
};

extern c_metaObject __runcontrolmessages_LoadHardwareConfigurationResponse__load (c_base base);
extern char * __runcontrolmessages_LoadHardwareConfigurationResponse__keys (void);
extern char * __runcontrolmessages_LoadHardwareConfigurationResponse__name (void);
struct _runcontrolmessages_LoadHardwareConfigurationResponse ;
extern  c_bool __runcontrolmessages_LoadHardwareConfigurationResponse__copyIn(c_base base, struct runcontrolmessages::LoadHardwareConfigurationResponse *from, struct _runcontrolmessages_LoadHardwareConfigurationResponse *to);
extern  void __runcontrolmessages_LoadHardwareConfigurationResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_LoadHardwareConfigurationResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
};

extern c_metaObject __runcontrolmessages_ConfigureHardwareRequest__load (c_base base);
extern char * __runcontrolmessages_ConfigureHardwareRequest__keys (void);
extern char * __runcontrolmessages_ConfigureHardwareRequest__name (void);
struct _runcontrolmessages_ConfigureHardwareRequest ;
extern  c_bool __runcontrolmessages_ConfigureHardwareRequest__copyIn(c_base base, struct runcontrolmessages::ConfigureHardwareRequest *from, struct _runcontrolmessages_ConfigureHardwareRequest *to);
extern  void __runcontrolmessages_ConfigureHardwareRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_ConfigureHardwareRequest {
    struct _rmscore_RmsMessageHeader header;
};

extern c_metaObject __runcontrolmessages_ConfigureHardwareResponse__load (c_base base);
extern char * __runcontrolmessages_ConfigureHardwareResponse__keys (void);
extern char * __runcontrolmessages_ConfigureHardwareResponse__name (void);
struct _runcontrolmessages_ConfigureHardwareResponse ;
extern  c_bool __runcontrolmessages_ConfigureHardwareResponse__copyIn(c_base base, struct runcontrolmessages::ConfigureHardwareResponse *from, struct _runcontrolmessages_ConfigureHardwareResponse *to);
extern  void __runcontrolmessages_ConfigureHardwareResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_ConfigureHardwareResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
};

extern c_metaObject __runcontrolmessages_LoadRunConfigurationRequest__load (c_base base);
extern char * __runcontrolmessages_LoadRunConfigurationRequest__keys (void);
extern char * __runcontrolmessages_LoadRunConfigurationRequest__name (void);
struct _runcontrolmessages_LoadRunConfigurationRequest ;
extern  c_bool __runcontrolmessages_LoadRunConfigurationRequest__copyIn(c_base base, struct runcontrolmessages::LoadRunConfigurationRequest *from, struct _runcontrolmessages_LoadRunConfigurationRequest *to);
extern  void __runcontrolmessages_LoadRunConfigurationRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_LoadRunConfigurationRequest {
    struct _rmscore_RmsMessageHeader header;
    c_string configurationDataURL;
};

extern c_metaObject __runcontrolmessages_LoadRunConfigurationResponse__load (c_base base);
extern char * __runcontrolmessages_LoadRunConfigurationResponse__keys (void);
extern char * __runcontrolmessages_LoadRunConfigurationResponse__name (void);
struct _runcontrolmessages_LoadRunConfigurationResponse ;
extern  c_bool __runcontrolmessages_LoadRunConfigurationResponse__copyIn(c_base base, struct runcontrolmessages::LoadRunConfigurationResponse *from, struct _runcontrolmessages_LoadRunConfigurationResponse *to);
extern  void __runcontrolmessages_LoadRunConfigurationResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_LoadRunConfigurationResponse {
    struct _rmscore_RmsMessageHeader header;
    c_string configurationDataURL;
    struct _rmscore_RequestStatus status;
};

extern c_metaObject __runcontrolmessages_ConfigureRunRequest__load (c_base base);
extern char * __runcontrolmessages_ConfigureRunRequest__keys (void);
extern char * __runcontrolmessages_ConfigureRunRequest__name (void);
struct _runcontrolmessages_ConfigureRunRequest ;
extern  c_bool __runcontrolmessages_ConfigureRunRequest__copyIn(c_base base, struct runcontrolmessages::ConfigureRunRequest *from, struct _runcontrolmessages_ConfigureRunRequest *to);
extern  void __runcontrolmessages_ConfigureRunRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_ConfigureRunRequest {
    struct _rmscore_RmsMessageHeader header;
};

extern c_metaObject __runcontrolmessages_ConfigureRunResponse__load (c_base base);
extern char * __runcontrolmessages_ConfigureRunResponse__keys (void);
extern char * __runcontrolmessages_ConfigureRunResponse__name (void);
struct _runcontrolmessages_ConfigureRunResponse ;
extern  c_bool __runcontrolmessages_ConfigureRunResponse__copyIn(c_base base, struct runcontrolmessages::ConfigureRunResponse *from, struct _runcontrolmessages_ConfigureRunResponse *to);
extern  void __runcontrolmessages_ConfigureRunResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_ConfigureRunResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
};

extern c_metaObject __runcontrolmessages_BuildCfgBlockRequest__load (c_base base);
extern char * __runcontrolmessages_BuildCfgBlockRequest__keys (void);
extern char * __runcontrolmessages_BuildCfgBlockRequest__name (void);
struct _runcontrolmessages_BuildCfgBlockRequest ;
extern  c_bool __runcontrolmessages_BuildCfgBlockRequest__copyIn(c_base base, struct runcontrolmessages::BuildCfgBlockRequest *from, struct _runcontrolmessages_BuildCfgBlockRequest *to);
extern  void __runcontrolmessages_BuildCfgBlockRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_BuildCfgBlockRequest {
    struct _rmscore_RmsMessageHeader header;
    c_sequence appName;
    c_sequence versionInfo;
};

extern c_metaObject __runcontrolmessages_BuildCfgBlockResponse__load (c_base base);
extern char * __runcontrolmessages_BuildCfgBlockResponse__keys (void);
extern char * __runcontrolmessages_BuildCfgBlockResponse__name (void);
struct _runcontrolmessages_BuildCfgBlockResponse ;
extern  c_bool __runcontrolmessages_BuildCfgBlockResponse__copyIn(c_base base, struct runcontrolmessages::BuildCfgBlockResponse *from, struct _runcontrolmessages_BuildCfgBlockResponse *to);
extern  void __runcontrolmessages_BuildCfgBlockResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_BuildCfgBlockResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
};

extern c_metaObject __runcontrolmessages_EventInfo__load (c_base base);
extern char * __runcontrolmessages_EventInfo__keys (void);
extern char * __runcontrolmessages_EventInfo__name (void);
struct _runcontrolmessages_EventInfo ;
extern  c_bool __runcontrolmessages_EventInfo__copyIn(c_base base, struct runcontrolmessages::EventInfo *from, struct _runcontrolmessages_EventInfo *to);
extern  void __runcontrolmessages_EventInfo__copyOut(void *_from, void *_to);
struct _runcontrolmessages_EventInfo {
    c_long nEventType;
    c_sequence evtTypeValue;
    c_sequence evtTypeName;
    c_sequence nEvent;
};

extern c_metaObject __runcontrolmessages_BeginRunRequest__load (c_base base);
extern char * __runcontrolmessages_BeginRunRequest__keys (void);
extern char * __runcontrolmessages_BeginRunRequest__name (void);
struct _runcontrolmessages_BeginRunRequest ;
extern  c_bool __runcontrolmessages_BeginRunRequest__copyIn(c_base base, struct runcontrolmessages::BeginRunRequest *from, struct _runcontrolmessages_BeginRunRequest *to);
extern  void __runcontrolmessages_BeginRunRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_BeginRunRequest {
    struct _rmscore_RmsMessageHeader header;
    c_long runNumber;
    struct _rmscore_TimestampStruct startTime;
};

extern c_metaObject __runcontrolmessages_BeginRunResponse__load (c_base base);
extern char * __runcontrolmessages_BeginRunResponse__keys (void);
extern char * __runcontrolmessages_BeginRunResponse__name (void);
struct _runcontrolmessages_BeginRunResponse ;
extern  c_bool __runcontrolmessages_BeginRunResponse__copyIn(c_base base, struct runcontrolmessages::BeginRunResponse *from, struct _runcontrolmessages_BeginRunResponse *to);
extern  void __runcontrolmessages_BeginRunResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_BeginRunResponse {
    struct _rmscore_RmsMessageHeader header;
    c_long runNumber;
    c_long globalCfgId;
    c_string globalCfgName;
    c_long nActiveChan;
    struct _rmscore_RequestStatus status;
};

extern c_metaObject __runcontrolmessages_SyncTimeRequest__load (c_base base);
extern char * __runcontrolmessages_SyncTimeRequest__keys (void);
extern char * __runcontrolmessages_SyncTimeRequest__name (void);
struct _runcontrolmessages_SyncTimeRequest ;
extern  c_bool __runcontrolmessages_SyncTimeRequest__copyIn(c_base base, struct runcontrolmessages::SyncTimeRequest *from, struct _runcontrolmessages_SyncTimeRequest *to);
extern  void __runcontrolmessages_SyncTimeRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_SyncTimeRequest {
    struct _rmscore_RmsMessageHeader header;
    c_bool syncToCurrentTime;
    c_bool syncToZeroTime;
};

extern c_metaObject __runcontrolmessages_SyncTimeResponse__load (c_base base);
extern char * __runcontrolmessages_SyncTimeResponse__keys (void);
extern char * __runcontrolmessages_SyncTimeResponse__name (void);
struct _runcontrolmessages_SyncTimeResponse ;
extern  c_bool __runcontrolmessages_SyncTimeResponse__copyIn(c_base base, struct runcontrolmessages::SyncTimeResponse *from, struct _runcontrolmessages_SyncTimeResponse *to);
extern  void __runcontrolmessages_SyncTimeResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_SyncTimeResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
};

extern c_metaObject __runcontrolmessages_BeginNewSubrunRequest__load (c_base base);
extern char * __runcontrolmessages_BeginNewSubrunRequest__keys (void);
extern char * __runcontrolmessages_BeginNewSubrunRequest__name (void);
struct _runcontrolmessages_BeginNewSubrunRequest ;
extern  c_bool __runcontrolmessages_BeginNewSubrunRequest__copyIn(c_base base, struct runcontrolmessages::BeginNewSubrunRequest *from, struct _runcontrolmessages_BeginNewSubrunRequest *to);
extern  void __runcontrolmessages_BeginNewSubrunRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_BeginNewSubrunRequest {
    struct _rmscore_RmsMessageHeader header;
};

extern c_metaObject __runcontrolmessages_BeginNewSubrunResponse__load (c_base base);
extern char * __runcontrolmessages_BeginNewSubrunResponse__keys (void);
extern char * __runcontrolmessages_BeginNewSubrunResponse__name (void);
struct _runcontrolmessages_BeginNewSubrunResponse ;
extern  c_bool __runcontrolmessages_BeginNewSubrunResponse__copyIn(c_base base, struct runcontrolmessages::BeginNewSubrunResponse *from, struct _runcontrolmessages_BeginNewSubrunResponse *to);
extern  void __runcontrolmessages_BeginNewSubrunResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_BeginNewSubrunResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
    struct _runcontrolmessages_EventInfo evtInfo;
    struct _runcontrolmessages_EventInfo incompleteEvents;
    struct _runcontrolmessages_EventInfo lostTriggers;
    c_long nEvents;
};

extern c_metaObject __runcontrolmessages_RolloverRunRequest__load (c_base base);
extern char * __runcontrolmessages_RolloverRunRequest__keys (void);
extern char * __runcontrolmessages_RolloverRunRequest__name (void);
struct _runcontrolmessages_RolloverRunRequest ;
extern  c_bool __runcontrolmessages_RolloverRunRequest__copyIn(c_base base, struct runcontrolmessages::RolloverRunRequest *from, struct _runcontrolmessages_RolloverRunRequest *to);
extern  void __runcontrolmessages_RolloverRunRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_RolloverRunRequest {
    struct _rmscore_RmsMessageHeader header;
    c_long newRunNumber;
    struct _rmscore_TimestampStruct stopTime;
};

extern c_metaObject __runcontrolmessages_RolloverRunResponse__load (c_base base);
extern char * __runcontrolmessages_RolloverRunResponse__keys (void);
extern char * __runcontrolmessages_RolloverRunResponse__name (void);
struct _runcontrolmessages_RolloverRunResponse ;
extern  c_bool __runcontrolmessages_RolloverRunResponse__copyIn(c_base base, struct runcontrolmessages::RolloverRunResponse *from, struct _runcontrolmessages_RolloverRunResponse *to);
extern  void __runcontrolmessages_RolloverRunResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_RolloverRunResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
    struct _runcontrolmessages_EventInfo evtInfo;
    struct _runcontrolmessages_EventInfo incompleteEvents;
    struct _runcontrolmessages_EventInfo lostTriggers;
    c_long nEvents;
};

extern c_metaObject __runcontrolmessages_StopRunRequest__load (c_base base);
extern char * __runcontrolmessages_StopRunRequest__keys (void);
extern char * __runcontrolmessages_StopRunRequest__name (void);
struct _runcontrolmessages_StopRunRequest ;
extern  c_bool __runcontrolmessages_StopRunRequest__copyIn(c_base base, struct runcontrolmessages::StopRunRequest *from, struct _runcontrolmessages_StopRunRequest *to);
extern  void __runcontrolmessages_StopRunRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_StopRunRequest {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_TimestampStruct stopTime;
};

extern c_metaObject __runcontrolmessages_StopRunResponse__load (c_base base);
extern char * __runcontrolmessages_StopRunResponse__keys (void);
extern char * __runcontrolmessages_StopRunResponse__name (void);
struct _runcontrolmessages_StopRunResponse ;
extern  c_bool __runcontrolmessages_StopRunResponse__copyIn(c_base base, struct runcontrolmessages::StopRunResponse *from, struct _runcontrolmessages_StopRunResponse *to);
extern  void __runcontrolmessages_StopRunResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_StopRunResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
    struct _runcontrolmessages_EventInfo evtInfo;
    struct _runcontrolmessages_EventInfo incompleteEvents;
    struct _runcontrolmessages_EventInfo lostTriggers;
    c_long nEvents;
};

extern c_metaObject __runcontrolmessages_PauseRunRequest__load (c_base base);
extern char * __runcontrolmessages_PauseRunRequest__keys (void);
extern char * __runcontrolmessages_PauseRunRequest__name (void);
struct _runcontrolmessages_PauseRunRequest ;
extern  c_bool __runcontrolmessages_PauseRunRequest__copyIn(c_base base, struct runcontrolmessages::PauseRunRequest *from, struct _runcontrolmessages_PauseRunRequest *to);
extern  void __runcontrolmessages_PauseRunRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_PauseRunRequest {
    struct _rmscore_RmsMessageHeader header;
};

extern c_metaObject __runcontrolmessages_PauseRunResponse__load (c_base base);
extern char * __runcontrolmessages_PauseRunResponse__keys (void);
extern char * __runcontrolmessages_PauseRunResponse__name (void);
struct _runcontrolmessages_PauseRunResponse ;
extern  c_bool __runcontrolmessages_PauseRunResponse__copyIn(c_base base, struct runcontrolmessages::PauseRunResponse *from, struct _runcontrolmessages_PauseRunResponse *to);
extern  void __runcontrolmessages_PauseRunResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_PauseRunResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
};

extern c_metaObject __runcontrolmessages_ResumeRunRequest__load (c_base base);
extern char * __runcontrolmessages_ResumeRunRequest__keys (void);
extern char * __runcontrolmessages_ResumeRunRequest__name (void);
struct _runcontrolmessages_ResumeRunRequest ;
extern  c_bool __runcontrolmessages_ResumeRunRequest__copyIn(c_base base, struct runcontrolmessages::ResumeRunRequest *from, struct _runcontrolmessages_ResumeRunRequest *to);
extern  void __runcontrolmessages_ResumeRunRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_ResumeRunRequest {
    struct _rmscore_RmsMessageHeader header;
};

extern c_metaObject __runcontrolmessages_ResumeRunResponse__load (c_base base);
extern char * __runcontrolmessages_ResumeRunResponse__keys (void);
extern char * __runcontrolmessages_ResumeRunResponse__name (void);
struct _runcontrolmessages_ResumeRunResponse ;
extern  c_bool __runcontrolmessages_ResumeRunResponse__copyIn(c_base base, struct runcontrolmessages::ResumeRunResponse *from, struct _runcontrolmessages_ResumeRunResponse *to);
extern  void __runcontrolmessages_ResumeRunResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_ResumeRunResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
};

extern c_metaObject __runcontrolmessages_rcState__load (c_base base);
extern char * __runcontrolmessages_rcState__keys (void);
extern char * __runcontrolmessages_rcState__name (void);
struct _runcontrolmessages_rcState ;
extern  c_bool __runcontrolmessages_rcState__copyIn(c_base base, struct runcontrolmessages::rcState *from, struct _runcontrolmessages_rcState *to);
extern  void __runcontrolmessages_rcState__copyOut(void *_from, void *_to);
struct _runcontrolmessages_rcState {
    c_long partitionId;
    c_bool connectionsConfigured;
    c_bool hwConfigured;
    c_bool runConfigured;
    c_bool running;
    c_bool paused;
    c_long dataSize;
    c_long nEvents;
    c_long warning;
    c_long error;
};

extern c_metaObject __runcontrolmessages_StatusRequest__load (c_base base);
extern char * __runcontrolmessages_StatusRequest__keys (void);
extern char * __runcontrolmessages_StatusRequest__name (void);
struct _runcontrolmessages_StatusRequest ;
extern  c_bool __runcontrolmessages_StatusRequest__copyIn(c_base base, struct runcontrolmessages::StatusRequest *from, struct _runcontrolmessages_StatusRequest *to);
extern  void __runcontrolmessages_StatusRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_StatusRequest {
    struct _rmscore_RmsMessageHeader header;
};

extern c_metaObject __runcontrolmessages_StatusResponse__load (c_base base);
extern char * __runcontrolmessages_StatusResponse__keys (void);
extern char * __runcontrolmessages_StatusResponse__name (void);
struct _runcontrolmessages_StatusResponse ;
extern  c_bool __runcontrolmessages_StatusResponse__copyIn(c_base base, struct runcontrolmessages::StatusResponse *from, struct _runcontrolmessages_StatusResponse *to);
extern  void __runcontrolmessages_StatusResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_StatusResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
    struct _runcontrolmessages_rcState state;
    c_string origSender;
};

extern c_metaObject __runcontrolmessages_triggerInfo__load (c_base base);
extern char * __runcontrolmessages_triggerInfo__keys (void);
extern char * __runcontrolmessages_triggerInfo__name (void);
struct _runcontrolmessages_triggerInfo ;
extern  c_bool __runcontrolmessages_triggerInfo__copyIn(c_base base, struct runcontrolmessages::triggerInfo *from, struct _runcontrolmessages_triggerInfo *to);
extern  void __runcontrolmessages_triggerInfo__copyOut(void *_from, void *_to);
struct _runcontrolmessages_triggerInfo {
    c_long trigId;
    c_long dataSize;
    c_long nEvents;
};

extern c_metaObject __runcontrolmessages_TriggerInfoRequest__load (c_base base);
extern char * __runcontrolmessages_TriggerInfoRequest__keys (void);
extern char * __runcontrolmessages_TriggerInfoRequest__name (void);
struct _runcontrolmessages_TriggerInfoRequest ;
extern  c_bool __runcontrolmessages_TriggerInfoRequest__copyIn(c_base base, struct runcontrolmessages::TriggerInfoRequest *from, struct _runcontrolmessages_TriggerInfoRequest *to);
extern  void __runcontrolmessages_TriggerInfoRequest__copyOut(void *_from, void *_to);
struct _runcontrolmessages_TriggerInfoRequest {
    struct _rmscore_RmsMessageHeader header;
};

extern c_metaObject __runcontrolmessages_TriggerInfoResponse__load (c_base base);
extern char * __runcontrolmessages_TriggerInfoResponse__keys (void);
extern char * __runcontrolmessages_TriggerInfoResponse__name (void);
struct _runcontrolmessages_TriggerInfoResponse ;
extern  c_bool __runcontrolmessages_TriggerInfoResponse__copyIn(c_base base, struct runcontrolmessages::TriggerInfoResponse *from, struct _runcontrolmessages_TriggerInfoResponse *to);
extern  void __runcontrolmessages_TriggerInfoResponse__copyOut(void *_from, void *_to);
struct _runcontrolmessages_TriggerInfoResponse {
    struct _rmscore_RmsMessageHeader header;
    struct _rmscore_RequestStatus status;
    c_sequence trig;
    c_long dataSize;
};

#endif
