#include "DAQMessages/DAQDCSMessagesSplDcps.h"
#include "DAQMessages/ccpp_DAQDCSMessages.h"

char *
__daqdcsmessages_StatusRequest__name(void)
{
    return CORBA::string_dup("daqdcsmessages::StatusRequest");
}

char *
__daqdcsmessages_StatusRequest__keys(void)
{
    return CORBA::string_dup("header.hostName,header.replyTarget");
}

char *
__daqdcsmessages_StatusResponse__name(void)
{
    return CORBA::string_dup("daqdcsmessages::StatusResponse");
}

char *
__daqdcsmessages_StatusResponse__keys(void)
{
    return CORBA::string_dup("header.hostName,header.replyTarget");
}

#include <v_kernel.h>
#include <v_topic.h>
#include <os_stdlib.h>
#include <string.h>

c_bool
__daqdcsmessages_StatusRequest__copyIn(
    c_base base,
    struct ::daqdcsmessages::StatusRequest *from,
    struct _daqdcsmessages_StatusRequest *to)
{
    c_bool result = TRUE;

    if(result){
        extern c_bool __rmscore_RmsMessageHeader__copyIn(c_base, ::rmscore::RmsMessageHeader *, _rmscore_RmsMessageHeader *);
        result = __rmscore_RmsMessageHeader__copyIn(base, &from->header, &to->header);
    }
#ifdef OSPL_BOUNDS_CHECK
    if(from->dcmID){
        to->dcmID = c_stringNew(base, from->dcmID);
    } else {
        result = FALSE;
    }
#else
    to->dcmID = c_stringNew(base, from->dcmID);
#endif
#ifdef OSPL_BOUNDS_CHECK
    if(from->febID){
        to->febID = c_stringNew(base, from->febID);
    } else {
        result = FALSE;
    }
#else
    to->febID = c_stringNew(base, from->febID);
#endif
#ifdef OSPL_BOUNDS_CHECK
    if(from->dataType){
        to->dataType = c_stringNew(base, from->dataType);
    } else {
        result = FALSE;
    }
#else
    to->dataType = c_stringNew(base, from->dataType);
#endif
    return result;
}

c_bool
__daqdcsmessages_StatusResponse__copyIn(
    c_base base,
    struct ::daqdcsmessages::StatusResponse *from,
    struct _daqdcsmessages_StatusResponse *to)
{
    c_bool result = TRUE;

    if(result){
        extern c_bool __rmscore_RmsMessageHeader__copyIn(c_base, ::rmscore::RmsMessageHeader *, _rmscore_RmsMessageHeader *);
        result = __rmscore_RmsMessageHeader__copyIn(base, &from->header, &to->header);
    }
    if(result){
        extern c_bool __rmscore_RequestStatus__copyIn(c_base, ::rmscore::RequestStatus *, _rmscore_RequestStatus *);
        result = __rmscore_RequestStatus__copyIn(base, &from->status, &to->status);
    }
#ifdef OSPL_BOUNDS_CHECK
    if(from->dcmID){
        to->dcmID = c_stringNew(base, from->dcmID);
    } else {
        result = FALSE;
    }
#else
    to->dcmID = c_stringNew(base, from->dcmID);
#endif
#ifdef OSPL_BOUNDS_CHECK
    if(from->febID){
        to->febID = c_stringNew(base, from->febID);
    } else {
        result = FALSE;
    }
#else
    to->febID = c_stringNew(base, from->febID);
#endif
    to->value = (c_long)from->value;
    return result;
}

void
__daqdcsmessages_StatusRequest__copyOut(
    void *_from,
    void *_to)
{
    struct _daqdcsmessages_StatusRequest *from = (struct _daqdcsmessages_StatusRequest *)_from;
    struct ::daqdcsmessages::StatusRequest *to = (struct ::daqdcsmessages::StatusRequest *)_to;
    {
        extern void __rmscore_RmsMessageHeader__copyOut(void *, void *);
        __rmscore_RmsMessageHeader__copyOut((void *)&from->header, (void *)&to->header);
    }
    to->dcmID = CORBA::string_dup(from->dcmID);
    to->febID = CORBA::string_dup(from->febID);
    to->dataType = CORBA::string_dup(from->dataType);
}

void
__daqdcsmessages_StatusResponse__copyOut(
    void *_from,
    void *_to)
{
    struct _daqdcsmessages_StatusResponse *from = (struct _daqdcsmessages_StatusResponse *)_from;
    struct ::daqdcsmessages::StatusResponse *to = (struct ::daqdcsmessages::StatusResponse *)_to;
    {
        extern void __rmscore_RmsMessageHeader__copyOut(void *, void *);
        __rmscore_RmsMessageHeader__copyOut((void *)&from->header, (void *)&to->header);
    }
    {
        extern void __rmscore_RequestStatus__copyOut(void *, void *);
        __rmscore_RequestStatus__copyOut((void *)&from->status, (void *)&to->status);
    }
    to->dcmID = CORBA::string_dup(from->dcmID);
    to->febID = CORBA::string_dup(from->febID);
    to->value = (::DDS::Long)from->value;
}

