#include "DAQMessages/ErrorHandlerMessagesSplDcps.h"
#include "DAQMessages/ccpp_ErrorHandlerMessages.h"

char *
__errorhandlermessages_ErrorHandlerMessage__name(void)
{
    return CORBA::string_dup("errorhandlermessages::ErrorHandlerMessage");
}

char *
__errorhandlermessages_ErrorHandlerMessage__keys(void)
{
    return CORBA::string_dup("header.hostName,header.replyTarget");
}

char *
__errorhandlermessages_ErrorHandlerReply__name(void)
{
    return CORBA::string_dup("errorhandlermessages::ErrorHandlerReply");
}

char *
__errorhandlermessages_ErrorHandlerReply__keys(void)
{
    return CORBA::string_dup("header.hostName,header.replyTarget");
}

#include <v_kernel.h>
#include <v_topic.h>
#include <os_stdlib.h>
#include <string.h>

c_bool
__errorhandlermessages_ErrorHandlerMessage__copyIn(
    c_base base,
    struct ::errorhandlermessages::ErrorHandlerMessage *from,
    struct _errorhandlermessages_ErrorHandlerMessage *to)
{
    c_bool result = TRUE;

    if(result){
        extern c_bool __rmscore_RmsMessageHeader__copyIn(c_base, ::rmscore::RmsMessageHeader *, _rmscore_RmsMessageHeader *);
        result = __rmscore_RmsMessageHeader__copyIn(base, &from->header, &to->header);
    }
    to->time = (c_longlong)from->time;
    to->error = (c_long)from->error;
    return result;
}

c_bool
__errorhandlermessages_ErrorHandlerReply__copyIn(
    c_base base,
    struct ::errorhandlermessages::ErrorHandlerReply *from,
    struct _errorhandlermessages_ErrorHandlerReply *to)
{
    c_bool result = TRUE;

    if(result){
        extern c_bool __rmscore_RmsMessageHeader__copyIn(c_base, ::rmscore::RmsMessageHeader *, _rmscore_RmsMessageHeader *);
        result = __rmscore_RmsMessageHeader__copyIn(base, &from->header, &to->header);
    }
    to->action_complete = (c_bool)from->action_complete;
    return result;
}

void
__errorhandlermessages_ErrorHandlerMessage__copyOut(
    void *_from,
    void *_to)
{
    struct _errorhandlermessages_ErrorHandlerMessage *from = (struct _errorhandlermessages_ErrorHandlerMessage *)_from;
    struct ::errorhandlermessages::ErrorHandlerMessage *to = (struct ::errorhandlermessages::ErrorHandlerMessage *)_to;
    {
        extern void __rmscore_RmsMessageHeader__copyOut(void *, void *);
        __rmscore_RmsMessageHeader__copyOut((void *)&from->header, (void *)&to->header);
    }
    to->time = (::DDS::LongLong)from->time;
    to->error = (::DDS::Long)from->error;
}

void
__errorhandlermessages_ErrorHandlerReply__copyOut(
    void *_from,
    void *_to)
{
    struct _errorhandlermessages_ErrorHandlerReply *from = (struct _errorhandlermessages_ErrorHandlerReply *)_from;
    struct ::errorhandlermessages::ErrorHandlerReply *to = (struct ::errorhandlermessages::ErrorHandlerReply *)_to;
    {
        extern void __rmscore_RmsMessageHeader__copyOut(void *, void *);
        __rmscore_RmsMessageHeader__copyOut((void *)&from->header, (void *)&to->header);
    }
    to->action_complete = (::DDS::Boolean)from->action_complete;
}

