#include "DAQMessages/DDTMessagesSplDcps.h"
#include "DAQMessages/ccpp_DDTMessages.h"

char *
__ddtmessages_DDTTriggerMessage__name(void)
{
    return CORBA::string_dup("ddtmessages::DDTTriggerMessage");
}

char *
__ddtmessages_DDTTriggerMessage__keys(void)
{
    return CORBA::string_dup("header.hostName,header.replyTarget");
}

#include <v_kernel.h>
#include <v_topic.h>
#include <os_stdlib.h>
#include <string.h>

c_bool
__ddtmessages_DDTTriggerMessage__copyIn(
    c_base base,
    struct ::ddtmessages::DDTTriggerMessage *from,
    struct _ddtmessages_DDTTriggerMessage *to)
{
    c_bool result = TRUE;

    if(result){
        extern c_bool __rmscore_RmsMessageHeader__copyIn(c_base, ::rmscore::RmsMessageHeader *, _rmscore_RmsMessageHeader *);
        result = __rmscore_RmsMessageHeader__copyIn(base, &from->header, &to->header);
    }
    to->trigger_type = (c_long)from->trigger_type;
    to->prescale = (c_ulong)from->prescale;
    to->decision_time = (c_longlong)from->decision_time;
    to->time_to_decision = (c_long)from->time_to_decision;
    to->start_time = (c_longlong)from->start_time;
    to->duration = (c_long)from->duration;
    to->detector_id = (c_short)from->detector_id;
    to->buffer_node_id = (c_short)from->buffer_node_id;
    to->process_id = (c_long)from->process_id;
    to->enabled = (c_bool)from->enabled;
    return result;
}

void
__ddtmessages_DDTTriggerMessage__copyOut(
    void *_from,
    void *_to)
{
    struct _ddtmessages_DDTTriggerMessage *from = (struct _ddtmessages_DDTTriggerMessage *)_from;
    struct ::ddtmessages::DDTTriggerMessage *to = (struct ::ddtmessages::DDTTriggerMessage *)_to;
    {
        extern void __rmscore_RmsMessageHeader__copyOut(void *, void *);
        __rmscore_RmsMessageHeader__copyOut((void *)&from->header, (void *)&to->header);
    }
    to->trigger_type = (::DDS::Long)from->trigger_type;
    to->prescale = (::DDS::ULong)from->prescale;
    to->decision_time = (::DDS::LongLong)from->decision_time;
    to->time_to_decision = (::DDS::Long)from->time_to_decision;
    to->start_time = (::DDS::LongLong)from->start_time;
    to->duration = (::DDS::Long)from->duration;
    to->detector_id = (::DDS::Short)from->detector_id;
    to->buffer_node_id = (::DDS::Short)from->buffer_node_id;
    to->process_id = (::DDS::Long)from->process_id;
    to->enabled = (::DDS::Boolean)from->enabled;
}

