#include "rms/RmsMessageCoreSplDcps.h"
#include "rms/ccpp_RmsMessageCore.h"

char *
__rmscore_TimeStruct__name(void)
{
    return CORBA::string_dup("rmscore::TimeStruct");
}

char *
__rmscore_TimeStruct__keys(void)
{
    return CORBA::string_dup("");
}

char *
__rmscore_TimestampStruct__name(void)
{
    return CORBA::string_dup("rmscore::TimestampStruct");
}

char *
__rmscore_TimestampStruct__keys(void)
{
    return CORBA::string_dup("");
}

char *
__rmscore_RmsMessageHeader__name(void)
{
    return CORBA::string_dup("rmscore::RmsMessageHeader");
}

char *
__rmscore_RmsMessageHeader__keys(void)
{
    return CORBA::string_dup("");
}

char *
__rmscore_RequestStatus__name(void)
{
    return CORBA::string_dup("rmscore::RequestStatus");
}

char *
__rmscore_RequestStatus__keys(void)
{
    return CORBA::string_dup("");
}

#include <v_kernel.h>
#include <v_topic.h>
#include <os_stdlib.h>
#include <string.h>

c_bool
__rmscore_TimeStruct__copyIn(
    c_base base,
    struct ::rmscore::TimeStruct *from,
    struct _rmscore_TimeStruct *to)
{
    c_bool result = TRUE;

    to->sec = (c_ulong)from->sec;
    to->usec = (c_ulong)from->usec;
    return result;
}

c_bool
__rmscore_TimestampStruct__copyIn(
    c_base base,
    struct ::rmscore::TimestampStruct *from,
    struct _rmscore_TimestampStruct *to)
{
    c_bool result = TRUE;

    to->year = (c_long)from->year;
    to->month = (c_short)from->month;
    to->day = (c_short)from->day;
    to->hour = (c_short)from->hour;
    to->min = (c_short)from->min;
    to->sec = (c_short)from->sec;
    return result;
}

c_bool
__rmscore_RmsMessageHeader__copyIn(
    c_base base,
    struct ::rmscore::RmsMessageHeader *from,
    struct _rmscore_RmsMessageHeader *to)
{
    c_bool result = TRUE;

#ifdef OSPL_BOUNDS_CHECK
    if(from->target){
        to->target = c_stringNew(base, from->target);
    } else {
        result = FALSE;
    }
#else
    to->target = c_stringNew(base, from->target);
#endif
#ifdef OSPL_BOUNDS_CHECK
    if(from->channel){
        to->channel = c_stringNew(base, from->channel);
    } else {
        result = FALSE;
    }
#else
    to->channel = c_stringNew(base, from->channel);
#endif
#ifdef OSPL_BOUNDS_CHECK
    if(from->replyTarget){
        to->replyTarget = c_stringNew(base, from->replyTarget);
    } else {
        result = FALSE;
    }
#else
    to->replyTarget = c_stringNew(base, from->replyTarget);
#endif
#ifdef OSPL_BOUNDS_CHECK
    if(from->id){
        to->id = c_stringNew(base, from->id);
    } else {
        result = FALSE;
    }
#else
    to->id = c_stringNew(base, from->id);
#endif
#ifdef OSPL_BOUNDS_CHECK
    if(from->correlationId){
        to->correlationId = c_stringNew(base, from->correlationId);
    } else {
        result = FALSE;
    }
#else
    to->correlationId = c_stringNew(base, from->correlationId);
#endif
    if(result){
        extern c_bool __rmscore_TimeStruct__copyIn(c_base, ::rmscore::TimeStruct *, _rmscore_TimeStruct *);
        result = __rmscore_TimeStruct__copyIn(base, &from->sentTime, &to->sentTime);
    }
    if(result){
        extern c_bool __rmscore_TimeStruct__copyIn(c_base, ::rmscore::TimeStruct *, _rmscore_TimeStruct *);
        result = __rmscore_TimeStruct__copyIn(base, &from->correlationTime, &to->correlationTime);
    }
    to->priority = (c_long)from->priority;
    to->partitionNumber = (c_long)from->partitionNumber;
#ifdef OSPL_BOUNDS_CHECK
    if(from->hostName){
        to->hostName = c_stringNew(base, from->hostName);
    } else {
        result = FALSE;
    }
#else
    to->hostName = c_stringNew(base, from->hostName);
#endif
#ifdef OSPL_BOUNDS_CHECK
    if(from->applicationName){
        to->applicationName = c_stringNew(base, from->applicationName);
    } else {
        result = FALSE;
    }
#else
    to->applicationName = c_stringNew(base, from->applicationName);
#endif
    return result;
}

c_bool
__rmscore_RequestStatus__copyIn(
    c_base base,
    struct ::rmscore::RequestStatus *from,
    struct _rmscore_RequestStatus *to)
{
    c_bool result = TRUE;

    to->code = (c_long)from->code;
#ifdef OSPL_BOUNDS_CHECK
    if(from->message){
        to->message = c_stringNew(base, from->message);
    } else {
        result = FALSE;
    }
#else
    to->message = c_stringNew(base, from->message);
#endif
    return result;
}

c_bool
__rmscore_SequenceOfOctet__copyIn(
    c_base base,
    ::rmscore::SequenceOfOctet *from,
    _rmscore_SequenceOfOctet *to)
{
    c_bool result = TRUE;

/* Code generated by ../../code/idl_genCorbaCxxCopyin.c at line 2015 */

    static c_type type0 = NULL;
    c_type subtype0 = NULL;
    c_long length0;
    c_octet *dest0;

    if (type0 == NULL) {
        subtype0 = c_type(c_metaResolve (c_metaObject(base), "c_octet"));
        type0 = c_metaSequenceTypeNew(c_metaObject(base),"C_SEQUENCE<c_octet>",subtype0,0);
        c_free(subtype0);
    }
    length0 = (c_long)(*from).length();
#ifdef OSPL_BOUNDS_CHECK
    dest0 = (c_octet *)c_newSequence(c_collectionType(type0), length0);
    {
    /* Code generated by ../../code/idl_genCorbaCxxCopyin.c at line 1549 */
        c_octet *buf0;
        buf0 = (c_octet *)(*from).get_buffer();
        memcpy (dest0,buf0,length0*1);
    }
    *to = (_rmscore_SequenceOfOctet)dest0;
#else
    dest0 = (c_octet *)c_newSequence(c_collectionType(type0), length0);
    {
    /* Code generated by ../../code/idl_genCorbaCxxCopyin.c at line 1549 */
        c_octet *buf0;
        buf0 = (c_octet *)(*from).get_buffer();
        memcpy (dest0,buf0,length0*1);
    }
    *to = (_rmscore_SequenceOfOctet)dest0;
#endif
    return result;
}

void
__rmscore_TimeStruct__copyOut(
    void *_from,
    void *_to)
{
    struct _rmscore_TimeStruct *from = (struct _rmscore_TimeStruct *)_from;
    struct ::rmscore::TimeStruct *to = (struct ::rmscore::TimeStruct *)_to;
    to->sec = (::DDS::ULong)from->sec;
    to->usec = (::DDS::ULong)from->usec;
}

void
__rmscore_TimestampStruct__copyOut(
    void *_from,
    void *_to)
{
    struct _rmscore_TimestampStruct *from = (struct _rmscore_TimestampStruct *)_from;
    struct ::rmscore::TimestampStruct *to = (struct ::rmscore::TimestampStruct *)_to;
    to->year = (::DDS::Long)from->year;
    to->month = (::DDS::Short)from->month;
    to->day = (::DDS::Short)from->day;
    to->hour = (::DDS::Short)from->hour;
    to->min = (::DDS::Short)from->min;
    to->sec = (::DDS::Short)from->sec;
}

void
__rmscore_RmsMessageHeader__copyOut(
    void *_from,
    void *_to)
{
    struct _rmscore_RmsMessageHeader *from = (struct _rmscore_RmsMessageHeader *)_from;
    struct ::rmscore::RmsMessageHeader *to = (struct ::rmscore::RmsMessageHeader *)_to;
    to->target = CORBA::string_dup(from->target);
    to->channel = CORBA::string_dup(from->channel);
    to->replyTarget = CORBA::string_dup(from->replyTarget);
    to->id = CORBA::string_dup(from->id);
    to->correlationId = CORBA::string_dup(from->correlationId);
    {
        extern void __rmscore_TimeStruct__copyOut(void *, void *);
        __rmscore_TimeStruct__copyOut((void *)&from->sentTime, (void *)&to->sentTime);
    }
    {
        extern void __rmscore_TimeStruct__copyOut(void *, void *);
        __rmscore_TimeStruct__copyOut((void *)&from->correlationTime, (void *)&to->correlationTime);
    }
    to->priority = (::DDS::Long)from->priority;
    to->partitionNumber = (::DDS::Long)from->partitionNumber;
    to->hostName = CORBA::string_dup(from->hostName);
    to->applicationName = CORBA::string_dup(from->applicationName);
}

void
__rmscore_RequestStatus__copyOut(
    void *_from,
    void *_to)
{
    struct _rmscore_RequestStatus *from = (struct _rmscore_RequestStatus *)_from;
    struct ::rmscore::RequestStatus *to = (struct ::rmscore::RequestStatus *)_to;
    to->code = (::DDS::Long)from->code;
    to->message = CORBA::string_dup(from->message);
}

void
__rmscore_SequenceOfOctet__copyOut(
    void *_from,
    void *_to)
{
    _rmscore_SequenceOfOctet *from = (_rmscore_SequenceOfOctet *)_from;
    ::rmscore::SequenceOfOctet *to = (::rmscore::SequenceOfOctet *)_to;
    long size0;
    c_octet *src0 = (c_octet *)(*from);

    size0 = c_arraySize(c_sequence(src0));
    (*to).length(size0);
    {
        c_octet *buf0;
        buf0 = (c_octet *)(*to).get_buffer();
        memcpy (buf0,src0,size0*1);
    }
}

