#ifndef CCPP_RUNCONTROLMESSAGES_H
#define CCPP_RUNCONTROLMESSAGES_H

#include "ccpp.h"
#include "DAQMessages/RunControlMessages.h"
#include "DAQMessages/RunControlMessagesDcps.h"
#include <orb_abstraction.h>
#include "DAQMessages/RunControlMessagesDcps_impl.h"

#include <rms/provider/CETDDS.h>
namespace runcontrolmessages {
  class BeginNewSubrunRequestTypeSupport;
  class BeginNewSubrunRequestDataWriter;
  class BeginNewSubrunRequestDataReader;
}
declare_dds_message(runcontrolmessages::BeginNewSubrunRequest)
namespace runcontrolmessages {
  class BeginNewSubrunResponseTypeSupport;
  class BeginNewSubrunResponseDataWriter;
  class BeginNewSubrunResponseDataReader;
}
declare_dds_message(runcontrolmessages::BeginNewSubrunResponse)
namespace runcontrolmessages {
  class BeginRunRequestTypeSupport;
  class BeginRunRequestDataWriter;
  class BeginRunRequestDataReader;
}
declare_dds_message(runcontrolmessages::BeginRunRequest)
namespace runcontrolmessages {
  class BeginRunResponseTypeSupport;
  class BeginRunResponseDataWriter;
  class BeginRunResponseDataReader;
}
declare_dds_message(runcontrolmessages::BeginRunResponse)
namespace runcontrolmessages {
  class BuildCfgBlockRequestTypeSupport;
  class BuildCfgBlockRequestDataWriter;
  class BuildCfgBlockRequestDataReader;
}
declare_dds_message(runcontrolmessages::BuildCfgBlockRequest)
namespace runcontrolmessages {
  class BuildCfgBlockResponseTypeSupport;
  class BuildCfgBlockResponseDataWriter;
  class BuildCfgBlockResponseDataReader;
}
declare_dds_message(runcontrolmessages::BuildCfgBlockResponse)
namespace runcontrolmessages {
  class ConfigureHardwareRequestTypeSupport;
  class ConfigureHardwareRequestDataWriter;
  class ConfigureHardwareRequestDataReader;
}
declare_dds_message(runcontrolmessages::ConfigureHardwareRequest)
namespace runcontrolmessages {
  class ConfigureHardwareResponseTypeSupport;
  class ConfigureHardwareResponseDataWriter;
  class ConfigureHardwareResponseDataReader;
}
declare_dds_message(runcontrolmessages::ConfigureHardwareResponse)
namespace runcontrolmessages {
  class ConfigureRunRequestTypeSupport;
  class ConfigureRunRequestDataWriter;
  class ConfigureRunRequestDataReader;
}
declare_dds_message(runcontrolmessages::ConfigureRunRequest)
namespace runcontrolmessages {
  class ConfigureRunResponseTypeSupport;
  class ConfigureRunResponseDataWriter;
  class ConfigureRunResponseDataReader;
}
declare_dds_message(runcontrolmessages::ConfigureRunResponse)
namespace runcontrolmessages {
  class FetchLatestNamedGlobalConfigRequestTypeSupport;
  class FetchLatestNamedGlobalConfigRequestDataWriter;
  class FetchLatestNamedGlobalConfigRequestDataReader;
}
declare_dds_message(runcontrolmessages::FetchLatestNamedGlobalConfigRequest)
namespace runcontrolmessages {
  class FetchLatestNamedGlobalConfigResponseTypeSupport;
  class FetchLatestNamedGlobalConfigResponseDataWriter;
  class FetchLatestNamedGlobalConfigResponseDataReader;
}
declare_dds_message(runcontrolmessages::FetchLatestNamedGlobalConfigResponse)
namespace runcontrolmessages {
  class FetchNamedConfigurationsRequestTypeSupport;
  class FetchNamedConfigurationsRequestDataWriter;
  class FetchNamedConfigurationsRequestDataReader;
}
declare_dds_message(runcontrolmessages::FetchNamedConfigurationsRequest)
namespace runcontrolmessages {
  class FetchNamedConfigurationsResponseTypeSupport;
  class FetchNamedConfigurationsResponseDataWriter;
  class FetchNamedConfigurationsResponseDataReader;
}
declare_dds_message(runcontrolmessages::FetchNamedConfigurationsResponse)
namespace runcontrolmessages {
  class FetchNamedGlobalConfigRequestTypeSupport;
  class FetchNamedGlobalConfigRequestDataWriter;
  class FetchNamedGlobalConfigRequestDataReader;
}
declare_dds_message(runcontrolmessages::FetchNamedGlobalConfigRequest)
namespace runcontrolmessages {
  class FetchNamedGlobalConfigResponseTypeSupport;
  class FetchNamedGlobalConfigResponseDataWriter;
  class FetchNamedGlobalConfigResponseDataReader;
}
declare_dds_message(runcontrolmessages::FetchNamedGlobalConfigResponse)
namespace runcontrolmessages {
  class LoadConnectionsConfigurationRequestTypeSupport;
  class LoadConnectionsConfigurationRequestDataWriter;
  class LoadConnectionsConfigurationRequestDataReader;
}
declare_dds_message(runcontrolmessages::LoadConnectionsConfigurationRequest)
namespace runcontrolmessages {
  class LoadConnectionsConfigurationResponseTypeSupport;
  class LoadConnectionsConfigurationResponseDataWriter;
  class LoadConnectionsConfigurationResponseDataReader;
}
declare_dds_message(runcontrolmessages::LoadConnectionsConfigurationResponse)
namespace runcontrolmessages {
  class LoadHardwareConfigurationRequestTypeSupport;
  class LoadHardwareConfigurationRequestDataWriter;
  class LoadHardwareConfigurationRequestDataReader;
}
declare_dds_message(runcontrolmessages::LoadHardwareConfigurationRequest)
namespace runcontrolmessages {
  class LoadHardwareConfigurationResponseTypeSupport;
  class LoadHardwareConfigurationResponseDataWriter;
  class LoadHardwareConfigurationResponseDataReader;
}
declare_dds_message(runcontrolmessages::LoadHardwareConfigurationResponse)
namespace runcontrolmessages {
  class LoadRunConfigurationRequestTypeSupport;
  class LoadRunConfigurationRequestDataWriter;
  class LoadRunConfigurationRequestDataReader;
}
declare_dds_message(runcontrolmessages::LoadRunConfigurationRequest)
namespace runcontrolmessages {
  class LoadRunConfigurationResponseTypeSupport;
  class LoadRunConfigurationResponseDataWriter;
  class LoadRunConfigurationResponseDataReader;
}
declare_dds_message(runcontrolmessages::LoadRunConfigurationResponse)
namespace runcontrolmessages {
  class MakeConnectionsRequestTypeSupport;
  class MakeConnectionsRequestDataWriter;
  class MakeConnectionsRequestDataReader;
}
declare_dds_message(runcontrolmessages::MakeConnectionsRequest)
namespace runcontrolmessages {
  class MakeConnectionsResponseTypeSupport;
  class MakeConnectionsResponseDataWriter;
  class MakeConnectionsResponseDataReader;
}
declare_dds_message(runcontrolmessages::MakeConnectionsResponse)
namespace runcontrolmessages {
  class PauseRunRequestTypeSupport;
  class PauseRunRequestDataWriter;
  class PauseRunRequestDataReader;
}
declare_dds_message(runcontrolmessages::PauseRunRequest)
namespace runcontrolmessages {
  class PauseRunResponseTypeSupport;
  class PauseRunResponseDataWriter;
  class PauseRunResponseDataReader;
}
declare_dds_message(runcontrolmessages::PauseRunResponse)
namespace runcontrolmessages {
  class PrepareAllRequestTypeSupport;
  class PrepareAllRequestDataWriter;
  class PrepareAllRequestDataReader;
}
declare_dds_message(runcontrolmessages::PrepareAllRequest)
namespace runcontrolmessages {
  class PrepareAllResponseTypeSupport;
  class PrepareAllResponseDataWriter;
  class PrepareAllResponseDataReader;
}
declare_dds_message(runcontrolmessages::PrepareAllResponse)
namespace runcontrolmessages {
  class ResumeRunRequestTypeSupport;
  class ResumeRunRequestDataWriter;
  class ResumeRunRequestDataReader;
}
declare_dds_message(runcontrolmessages::ResumeRunRequest)
namespace runcontrolmessages {
  class ResumeRunResponseTypeSupport;
  class ResumeRunResponseDataWriter;
  class ResumeRunResponseDataReader;
}
declare_dds_message(runcontrolmessages::ResumeRunResponse)
namespace runcontrolmessages {
  class RolloverRunRequestTypeSupport;
  class RolloverRunRequestDataWriter;
  class RolloverRunRequestDataReader;
}
declare_dds_message(runcontrolmessages::RolloverRunRequest)
namespace runcontrolmessages {
  class RolloverRunResponseTypeSupport;
  class RolloverRunResponseDataWriter;
  class RolloverRunResponseDataReader;
}
declare_dds_message(runcontrolmessages::RolloverRunResponse)
namespace runcontrolmessages {
  class SetParticipantsRequestTypeSupport;
  class SetParticipantsRequestDataWriter;
  class SetParticipantsRequestDataReader;
}
declare_dds_message(runcontrolmessages::SetParticipantsRequest)
namespace runcontrolmessages {
  class SetParticipantsResponseTypeSupport;
  class SetParticipantsResponseDataWriter;
  class SetParticipantsResponseDataReader;
}
declare_dds_message(runcontrolmessages::SetParticipantsResponse)
namespace runcontrolmessages {
  class StartProcessesRequestTypeSupport;
  class StartProcessesRequestDataWriter;
  class StartProcessesRequestDataReader;
}
declare_dds_message(runcontrolmessages::StartProcessesRequest)
namespace runcontrolmessages {
  class StartProcessesResponseTypeSupport;
  class StartProcessesResponseDataWriter;
  class StartProcessesResponseDataReader;
}
declare_dds_message(runcontrolmessages::StartProcessesResponse)
namespace runcontrolmessages {
  class StatusRequestTypeSupport;
  class StatusRequestDataWriter;
  class StatusRequestDataReader;
}
declare_dds_message(runcontrolmessages::StatusRequest)
namespace runcontrolmessages {
  class StatusResponseTypeSupport;
  class StatusResponseDataWriter;
  class StatusResponseDataReader;
}
declare_dds_message(runcontrolmessages::StatusResponse)
namespace runcontrolmessages {
  class StopProcessesRequestTypeSupport;
  class StopProcessesRequestDataWriter;
  class StopProcessesRequestDataReader;
}
declare_dds_message(runcontrolmessages::StopProcessesRequest)
namespace runcontrolmessages {
  class StopProcessesResponseTypeSupport;
  class StopProcessesResponseDataWriter;
  class StopProcessesResponseDataReader;
}
declare_dds_message(runcontrolmessages::StopProcessesResponse)
namespace runcontrolmessages {
  class StopRunRequestTypeSupport;
  class StopRunRequestDataWriter;
  class StopRunRequestDataReader;
}
declare_dds_message(runcontrolmessages::StopRunRequest)
namespace runcontrolmessages {
  class StopRunResponseTypeSupport;
  class StopRunResponseDataWriter;
  class StopRunResponseDataReader;
}
declare_dds_message(runcontrolmessages::StopRunResponse)
namespace runcontrolmessages {
  class SyncTimeRequestTypeSupport;
  class SyncTimeRequestDataWriter;
  class SyncTimeRequestDataReader;
}
declare_dds_message(runcontrolmessages::SyncTimeRequest)
namespace runcontrolmessages {
  class SyncTimeResponseTypeSupport;
  class SyncTimeResponseDataWriter;
  class SyncTimeResponseDataReader;
}
declare_dds_message(runcontrolmessages::SyncTimeResponse)
namespace runcontrolmessages {
  class TriggerInfoRequestTypeSupport;
  class TriggerInfoRequestDataWriter;
  class TriggerInfoRequestDataReader;
}
declare_dds_message(runcontrolmessages::TriggerInfoRequest)
namespace runcontrolmessages {
  class TriggerInfoResponseTypeSupport;
  class TriggerInfoResponseDataWriter;
  class TriggerInfoResponseDataReader;
}
declare_dds_message(runcontrolmessages::TriggerInfoResponse)
namespace runcontrolmessages {
  class VersionInfoRequestTypeSupport;
  class VersionInfoRequestDataWriter;
  class VersionInfoRequestDataReader;
}
declare_dds_message(runcontrolmessages::VersionInfoRequest)
namespace runcontrolmessages {
  class VersionInfoResponseTypeSupport;
  class VersionInfoResponseDataWriter;
  class VersionInfoResponseDataReader;
}
declare_dds_message(runcontrolmessages::VersionInfoResponse)
#endif /* CCPP_RUNCONTROLMESSAGES_H */
