#ifndef _DBUTILS_KRB5UTILS_H
#define _DBUTILS_KRB5UTILS_H

#include <string>
#include <vector>

namespace dbutils {

/**
 * Utilities for accessing DB via kerberos
 *
 * @author Jonathan Paley
 * @version $Revision: 1.2 $ $Date: 2011/09/20 20:15:37 $
 */

  class Krb5 {

  public:

    static bool
      checkTicket(std::string krb5Id);
    static bool
      getTicket(std::string keytab, std::string krb5Id, std::string krb5IdSfx);

  };  // end of class Krb5
};  // end of namespace dbutils

#endif
