#ifndef RMSMESSAGECORESPLTYPES_H
#define RMSMESSAGECORESPLTYPES_H

#include "rms/ccpp_RmsMessageCore.h"

#include <c_base.h>
#include <c_misc.h>
#include <c_sync.h>
#include <c_collection.h>
#include <c_field.h>

extern c_metaObject __RmsMessageCore_rmscore__load (c_base base);

extern c_metaObject __rmscore_TimeStruct__load (c_base base);
extern char * __rmscore_TimeStruct__keys (void);
extern char * __rmscore_TimeStruct__name (void);
struct _rmscore_TimeStruct ;
extern  c_bool __rmscore_TimeStruct__copyIn(c_base base, struct rmscore::TimeStruct *from, struct _rmscore_TimeStruct *to);
extern  void __rmscore_TimeStruct__copyOut(void *_from, void *_to);
struct _rmscore_TimeStruct {
    c_ulong sec;
    c_ulong usec;
};

extern c_metaObject __rmscore_TimestampStruct__load (c_base base);
extern char * __rmscore_TimestampStruct__keys (void);
extern char * __rmscore_TimestampStruct__name (void);
struct _rmscore_TimestampStruct ;
extern  c_bool __rmscore_TimestampStruct__copyIn(c_base base, struct rmscore::TimestampStruct *from, struct _rmscore_TimestampStruct *to);
extern  void __rmscore_TimestampStruct__copyOut(void *_from, void *_to);
struct _rmscore_TimestampStruct {
    c_long year;
    c_short month;
    c_short day;
    c_short hour;
    c_short min;
    c_short sec;
};

extern c_metaObject __rmscore_RmsMessageHeader__load (c_base base);
extern char * __rmscore_RmsMessageHeader__keys (void);
extern char * __rmscore_RmsMessageHeader__name (void);
struct _rmscore_RmsMessageHeader ;
extern  c_bool __rmscore_RmsMessageHeader__copyIn(c_base base, struct rmscore::RmsMessageHeader *from, struct _rmscore_RmsMessageHeader *to);
extern  void __rmscore_RmsMessageHeader__copyOut(void *_from, void *_to);
struct _rmscore_RmsMessageHeader {
    c_string target;
    c_string channel;
    c_string replyTarget;
    c_string id;
    c_string correlationId;
    struct _rmscore_TimeStruct sentTime;
    struct _rmscore_TimeStruct correlationTime;
    c_long priority;
    c_long partitionNumber;
    c_string hostName;
    c_string applicationName;
};

extern c_metaObject __rmscore_RequestStatus__load (c_base base);
extern char * __rmscore_RequestStatus__keys (void);
extern char * __rmscore_RequestStatus__name (void);
struct _rmscore_RequestStatus ;
extern  c_bool __rmscore_RequestStatus__copyIn(c_base base, struct rmscore::RequestStatus *from, struct _rmscore_RequestStatus *to);
extern  void __rmscore_RequestStatus__copyOut(void *_from, void *_to);
struct _rmscore_RequestStatus {
    c_long code;
    c_string message;
};

extern c_metaObject __rmscore_SequenceOfOctet__load (c_base base);
typedef c_sequence _rmscore_SequenceOfOctet;

#endif
