#include "DAQMessages/NssMessagesSplDcps.h"
#include "DAQMessages/ccpp_NssMessages.h"

char *
__nssmessages_SpillMessage__name(void)
{
    return CORBA::string_dup("nssmessages::SpillMessage");
}

char *
__nssmessages_SpillMessage__keys(void)
{
    return CORBA::string_dup("header.hostName,header.replyTarget");
}

#include <v_kernel.h>
#include <v_topic.h>
#include <os_stdlib.h>
#include <string.h>

c_bool
__nssmessages_SpillMessage__copyIn(
    c_base base,
    struct ::nssmessages::SpillMessage *from,
    struct _nssmessages_SpillMessage *to)
{
    c_bool result = TRUE;

    if(result){
        extern c_bool __rmscore_RmsMessageHeader__copyIn(c_base, ::rmscore::RmsMessageHeader *, _rmscore_RmsMessageHeader *);
        result = __rmscore_RmsMessageHeader__copyIn(base, &from->header, &to->header);
    }
    to->time = (c_longlong)from->time;
    to->type = (c_long)from->type;
    return result;
}

void
__nssmessages_SpillMessage__copyOut(
    void *_from,
    void *_to)
{
    struct _nssmessages_SpillMessage *from = (struct _nssmessages_SpillMessage *)_from;
    struct ::nssmessages::SpillMessage *to = (struct ::nssmessages::SpillMessage *)_to;
    {
        extern void __rmscore_RmsMessageHeader__copyOut(void *, void *);
        __rmscore_RmsMessageHeader__copyOut((void *)&from->header, (void *)&to->header);
    }
    to->time = (::DDS::LongLong)from->time;
    to->type = (::DDS::Long)from->type;
}

