#include "DAQMessages/NSNMessagesSplDcps.h"
#include "DAQMessages/ccpp_NSNMessages.h"

char *
__nsnmessages_NSNMessage__name(void)
{
    return CORBA::string_dup("nsnmessages::NSNMessage");
}

char *
__nsnmessages_NSNMessage__keys(void)
{
    return CORBA::string_dup("header.hostName,header.replyTarget");
}

char *
__nsnmessages_NSNPackedMessage__name(void)
{
    return CORBA::string_dup("nsnmessages::NSNPackedMessage");
}

char *
__nsnmessages_NSNPackedMessage__keys(void)
{
    return CORBA::string_dup("header.hostName,header.replyTarget");
}

#include <v_kernel.h>
#include <v_topic.h>
#include <os_stdlib.h>
#include <string.h>

c_bool
__nsnmessages_NSNMessage__copyIn(
    c_base base,
    struct ::nsnmessages::NSNMessage *from,
    struct _nsnmessages_NSNMessage *to)
{
    c_bool result = TRUE;

    if(result){
        extern c_bool __rmscore_RmsMessageHeader__copyIn(c_base, ::rmscore::RmsMessageHeader *, _rmscore_RmsMessageHeader *);
        result = __rmscore_RmsMessageHeader__copyIn(base, &from->header, &to->header);
    }
    to->time = (c_longlong)from->time;
    to->hits = (c_long)from->hits;
    return result;
}

c_bool
__nsnmessages_NSNPackedMessage__copyIn(
    c_base base,
    struct ::nsnmessages::NSNPackedMessage *from,
    struct _nsnmessages_NSNPackedMessage *to)
{
    c_bool result = TRUE;

    if(result){
        extern c_bool __rmscore_RmsMessageHeader__copyIn(c_base, ::rmscore::RmsMessageHeader *, _rmscore_RmsMessageHeader *);
        result = __rmscore_RmsMessageHeader__copyIn(base, &from->header, &to->header);
    }
    {
        typedef c_longlong _DestType[10];
        _DestType *dest = &to->time;
        memcpy (dest, from->time, sizeof (*dest));
    }
    {
        typedef c_long _DestType[10];
        _DestType *dest = &to->hits;
        memcpy (dest, from->hits, sizeof (*dest));
    }
    return result;
}

void
__nsnmessages_NSNMessage__copyOut(
    void *_from,
    void *_to)
{
    struct _nsnmessages_NSNMessage *from = (struct _nsnmessages_NSNMessage *)_from;
    struct ::nsnmessages::NSNMessage *to = (struct ::nsnmessages::NSNMessage *)_to;
    {
        extern void __rmscore_RmsMessageHeader__copyOut(void *, void *);
        __rmscore_RmsMessageHeader__copyOut((void *)&from->header, (void *)&to->header);
    }
    to->time = (::DDS::LongLong)from->time;
    to->hits = (::DDS::Long)from->hits;
}

void
__nsnmessages_NSNPackedMessage__copyOut(
    void *_from,
    void *_to)
{
    struct _nsnmessages_NSNPackedMessage *from = (struct _nsnmessages_NSNPackedMessage *)_from;
    struct ::nsnmessages::NSNPackedMessage *to = (struct ::nsnmessages::NSNPackedMessage *)_to;
    {
        extern void __rmscore_RmsMessageHeader__copyOut(void *, void *);
        __rmscore_RmsMessageHeader__copyOut((void *)&from->header, (void *)&to->header);
    }
    {
        typedef c_longlong _DestType[10];
        _DestType *src = &from->time;

        memcpy (to->time, src, sizeof (*src));
    }
    {
        typedef c_long _DestType[10];
        _DestType *src = &from->hits;

        memcpy (to->hits, src, sizeof (*src));
    }
}

